; @author Sylwester Arabas <slayoo@igf.fuw.edu.pl>

pro IGFLibFSSP100Data::setDataSourceNCARNimbusNetCDF, filename
  compile_opt idl2, strictarr

  self.source = ptr_new(obj_new("netcdf", filename));
 
  self.basetime = (*(self.source))->var_get("base_time");
  self.first_bin = (*(self.source))->var_getAtt("AS100_LPC", "FirstBin");
  self.last_bin = (*(self.source))->var_getAtt("AS100_LPC", "LastBin");
  self.cell_sizes = ptr_new((*(self.source))->var_getAtt("AS100_LPC", "CellSizes"));

  for i=0, n_elements(self.curr_hist)-1 do begin
    self.curr_hist[i] = ptr_new(obj_new("IGFLibHistogram", self.last_bin - self.first_bin + 1));
    (*(self.curr_hist[i]))->setUnit, string((*(self.source))->var_getAtt("AS100_LPC", "CellSizeUnits"));
    (*(self.curr_hist[i]))->setQuantity, "droplet diameter";
  endfor

end

